Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 679968 - app-emulation/docker-compose - pkg_resources.ContextualVersionConflict: (requests 2.21.0 (/usr/lib64/python3.6/site-packages), Requirement.parse('requests!=2.11.0,!=2.12.2,!=2.18.0,<2.21,>=2.6.1'), {'docker-compose'})
Summary: app-emulation/docker-compose - pkg_resources.ContextualVersionConflict: (requ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Mikle Kolyada
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 678114
  Show dependency tree
 
Reported: 2019-03-10 18:56 UTC by ChaosEngine
Modified: 2019-05-10 22:27 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
proposed ebuild (docker-compose-1.23.2-r1.ebuild,2.26 KB, text/plain)
2019-03-10 19:00 UTC, ChaosEngine
Details
proposed files/patch for ebuild (docker-compose-1.23.2-setup-py.patch,412 bytes, patch)
2019-03-10 19:00 UTC, ChaosEngine
Details | Diff
emergeinfoDockerCompose (emergeinfoDockerCompose.txt,7.68 KB, text/plain)
2019-03-10 23:26 UTC, jms
Details

Note You need to log in before you can comment on or make changes to this bug.
Description ChaosEngine 2019-03-10 18:56:39 UTC
After installing latest stable amd64 app-emulation/docker-compose-1.23.2 it turns out that only possible dev-python/requests-2.21.0-r1 is in contradiction to docker-compose's requirement:

requests >= 2.6.1, != 2.11.0, != 2.12.2, != 2.18.0, < 2.21

Given that, after running clie $ docker-compose one receives:

$ docker-compose
Traceback (most recent call last):
  File "/usr/lib64/python3.6/site-packages/pkg_resources/__init__.py", line 581, in _build_master
    ws.require(__requires__)
  File "/usr/lib64/python3.6/site-packages/pkg_resources/__init__.py", line 898, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib64/python3.6/site-packages/pkg_resources/__init__.py", line 789, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (requests 2.21.0 (/usr/lib64/python3.6/site-packages), Requirement.parse('requests!=2.11.0,!=2.12.2,!=2.18.0,<2.21,>=2.6.1'), {'docker-compose'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python-exec/python3.6/docker-compose", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib64/python3.6/site-packages/pkg_resources/__init__.py", line 3126, in <module>
    @_call_aside
  File "/usr/lib64/python3.6/site-packages/pkg_resources/__init__.py", line 3110, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib64/python3.6/site-packages/pkg_resources/__init__.py", line 3139, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib64/python3.6/site-packages/pkg_resources/__init__.py", line 583, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib64/python3.6/site-packages/pkg_resources/__init__.py", line 596, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib64/python3.6/site-packages/pkg_resources/__init__.py", line 784, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'requests!=2.11.0,!=2.12.2,!=2.18.0,<2.21,>=2.6.1' distribution was not found and is required by docker-compose
Comment 1 ChaosEngine 2019-03-10 18:58:46 UTC
Portage 2.3.51 (python 3.6.5-final-0, default/linux/amd64/17.0, gcc-8.2.0, glibc-2.27-r6, 4.20.6-gentoo x86_64)
=================================================================
System uname: Linux-4.20.6-gentoo-x86_64-Intel-R-_Core-TM-_i7-8700K_CPU_@_3.70GHz-with-gentoo-2.6
KiB Mem:    32867284 total,   9853240 free
KiB Swap:    2097144 total,   2077432 free
Timestamp of repository gentoo: Sun, 10 Mar 2019 09:15:01 +0000
Head commit of repository gentoo: d0c73ef2cf551a266e44979e8d3e4232e5e9949b
sh bash 4.4_p23-r1
ld GNU ld (Gentoo 2.30 p5) 2.30.0
app-shells/bash:          4.4_p23-r1::gentoo
dev-java/java-config:     2.2.0-r4::gentoo
dev-lang/perl:            5.26.2::gentoo
dev-lang/python:          2.7.15::gentoo, 3.6.5::gentoo
dev-util/cmake:           3.9.6::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.6-r1::gentoo
sys-apps/openrc:          0.38.3-r1::gentoo
sys-apps/sandbox:         2.13::gentoo
sys-devel/autoconf:       2.13-r1::gentoo, 2.69-r4::gentoo
sys-devel/automake:       1.11.6-r3::gentoo, 1.12.6-r2::gentoo, 1.15.1-r2::gentoo, 1.16.1-r1::gentoo
sys-devel/binutils:       2.30-r4::gentoo
sys-devel/gcc:            8.2.0-r6::gentoo
sys-devel/gcc-config:     2.0::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1-r4::gentoo
sys-kernel/linux-headers: 4.14-r1::gentoo (virtual/os-headers)
sys-libs/glibc:           2.27-r6::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.europe.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-verify-jobs: 1
    sync-rsync-verify-max-age: 24
    sync-rsync-extra-opts: 
    sync-rsync-verify-metamanifest: yes

Local-portage-overlay
    location: /usr/local/portage
    masters: gentoo
    priority: 0

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe -fomit-frame-pointer -funroll-loops"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php7.2/ext-active/ /etc/php/cgi-php7.2/ext-active/ /etc/php/cli-php7.2/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=native -O2 -pipe -fomit-frame-pointer -funroll-loops"
DISTDIR="/var/tmp/distfiles/"
ENV_UNSET="DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync multilib-strict news noinfo parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://ftp.vectranet.pl/gentoo/ rsync://ftp.vectranet.pl/gentoo/ http://mirror.eu.oneandone.net/linux/distributions/gentoo/gentoo/ rsync://mirror.eu.oneandone.net/gentoo/ ftp://ftp.wh2.tu-dresden.de/pub/mirrors/gentoo ftp://mirror.netcologne.de/gentoo/ http://mirror.netcologne.de/gentoo/ rsync://mirror.netcologne.de/gentoo/ http://linux.rz.ruhr-uni-bochum.de/download/gentoo-mirror/ http://ftp.halifax.rwth-aachen.de/gentoo/ ftp://ftp.halifax.rwth-aachen.de/gentoo/ rsync://ftp.halifax.rwth-aachen.de/gentoo/ ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gentoo http://ftp.uni-erlangen.de/pub/mirrors/gentoo ftp://ftp.uni-erlangen.de/pub/mirrors/gentoo http://ftp-stud.hs-esslingen.de/pub/Mirrors/gentoo/ ftp://ftp-stud.hs-esslingen.de/pub/Mirrors/gentoo/ rsync://ftp-stud.hs-esslingen.de/gentoo/ http://mirror.leaseweb.com/gentoo/ ftp://mirror.leaseweb.com/gentoo/ rsync://mirror.leaseweb.com/gentoo/ http://ftp.snt.utwente.nl/pub/os/linux/gentoo ftp://ftp.snt.utwente.nl/pub/os/linux/gentoo rsync://ftp.snt.utwente.nl/gentoo"
LANG="pl_PL.UTF-8"
LC_ALL="pl_PL.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="pl en"
MAKEOPTS="-j13"
PKGDIR="/var/tmp/portage-pkg"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/mnt/optane15GB/portage-tmp/"
USE="X acl alsa amd64 apm atm avi avx bash berkdb bzip2 bzlib cli crypt cxx dga directfb divx4linux dri dvd gdbm gtk gtk2 iconv ipv6 jabber jpeg kde libtirpc mikmod mmx mmxext mpeg mpx multilib ncurses nls nptl nptlonly oggvorbis opengl openmp oss pam pch pcre qt readline samba sdk seccomp sockets sse sse2 sse3 sse4_1 ssl ssse3 tcpd truetype unicode usb utf8 vaapi xattr xv zlib" ABI_X86="64" ALSA_CARDS="hda-intel" APACHE2_MODULES="alias auth_basic auth_digest authn_anon authn_file authz_host authn_core authz_core socache_shmcb authz_owner authz_user autoindex brotli deflate dir env expires ext_filter filter headers include mime mime_magic negotiation proxy proxy_connect proxy_http rewrite setenvif status unique_id userdir usertrack vhost_alias log_config proxy_wstunnel" CALLIGRA_FEATURES="karbon sheets words" CAMERAS="adc65 agfa_cl20 aox barbie canon casio_qv clicksmart310 digigr8 digita dimagev dimera3500 directory enigma13 fuji gsmart300 hp215 iclick jamcam jd11 jl2005a kodak_dc120 kodak_dc210 kodak_dc240 kodak_dc3200 kodak_ez200 konica konica_qm150 largan lg_gsm mars mustek panasonic_coolshot panasonic_dc1000 panasonic_dc1580 panasonic_l859 pccam300 pccam600 polaroid_pdc320 polaroid_pdc640 polaroid_pdc700 ptp2 ricoh ricoh_g3 samsung sierra sipix_blink sipix_blink2 sipix_web2 smal sonix sony_dscf1 sony_dscf55 soundvision spca50x sq905 stv0674 stv0680 sx330z template topfield toshiba_pdrm11" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="aes avx avx2 fma3 mmx mmxext pclmul popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev" KERNEL="linux" L10N="pl en" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" NETBEANS_MODULES="apisupport cnd groovy gsf harness ide identity j2ee java mobility nb php profiler soa visualweb webcommon websvccommon xml" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-2" POSTGRES_TARGETS="postgres9_5 postgres10" PYTHON_SINGLE_TARGET="python3_6" PYTHON_TARGETS="python2_7 python3_6" RUBY_TARGETS="ruby23" SANE_BACKENDS="xerox_mfp" USERLAND="GNU" VIDEO_CARDS="intel i965" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 2 ChaosEngine 2019-03-10 19:00:01 UTC
Created attachment 568480 [details]
proposed ebuild
Comment 3 ChaosEngine 2019-03-10 19:00:30 UTC
Created attachment 568482 [details, diff]
proposed files/patch for ebuild
Comment 4 jms 2019-03-10 23:21:45 UTC
to confirm
same here

 docker-compose 
Traceback (most recent call last):
  File "/usr/lib64/python3.6/site-packages/pkg_resources/__init__.py", line 581, in _build_master
    ws.require(__requires__)
  File "/usr/lib64/python3.6/site-packages/pkg_resources/__init__.py", line 898, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib64/python3.6/site-packages/pkg_resources/__init__.py", line 789, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (requests 2.21.0 (/usr/lib64/python3.6/site-packages), Requirement.parse('requests!=2.11.0,!=2.12.2,!=2.18.0,<2.21,>=2.6.1'), {'docker-compose'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python-exec/python3.6/docker-compose", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib64/python3.6/site-packages/pkg_resources/__init__.py", line 3126, in <module>
    @_call_aside
  File "/usr/lib64/python3.6/site-packages/pkg_resources/__init__.py", line 3110, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib64/python3.6/site-packages/pkg_resources/__init__.py", line 3139, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib64/python3.6/site-packages/pkg_resources/__init__.py", line 583, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib64/python3.6/site-packages/pkg_resources/__init__.py", line 596, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib64/python3.6/site-packages/pkg_resources/__init__.py", line 784, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'requests!=2.11.0,!=2.12.2,!=2.18.0,<2.21,>=2.6.1' distribution was not found and is required by docker-compose
Comment 5 jms 2019-03-10 23:26:29 UTC
Created attachment 568528 [details]
emergeinfoDockerCompose
Comment 6 jms 2019-03-11 00:28:27 UTC
(In reply to ChaosEngine from comment #3)
> Created attachment 568482 [details, diff] [details, diff]
> proposed files/patch for ebuild

thanks ChaosEngine
ebuild and patch works for me
Comment 7 Chris Ribble 2019-03-12 18:10:32 UTC
I have the same problem with the version from portage. The vanila docker-compose binary from github works fine, though.
Comment 8 Larry the Git Cow gentoo-dev 2019-03-12 18:57:59 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=13231bbe125077f1e266b577a46699197c3ec2f7

commit 13231bbe125077f1e266b577a46699197c3ec2f7
Author:     Mikle Kolyada <zlogene@gentoo.org>
AuthorDate: 2019-03-12 18:55:49 +0000
Commit:     Mikle Kolyada <zlogene@gentoo.org>
CommitDate: 2019-03-12 18:57:24 +0000

    app-emulation/docker-compose: ammend requests boundary in setup.py
    
    Closes: https://bugs.gentoo.org/679968
    Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>
    Package-Manager: Portage-2.3.62, Repoman-2.3.11

 app-emulation/docker-compose/docker-compose-1.23.2.ebuild | 3 +++
 1 file changed, 3 insertions(+)
Comment 9 ChaosEngine 2019-03-12 20:20:15 UTC
(In reply to Larry the Git Cow from comment #8)
> The bug has been closed via the following commit(s):
> 
> https://gitweb.gentoo.org/repo/gentoo.git/commit/
> ?id=13231bbe125077f1e266b577a46699197c3ec2f7
> 
> commit 13231bbe125077f1e266b577a46699197c3ec2f7
> Author:     Mikle Kolyada <zlogene@gentoo.org>
> AuthorDate: 2019-03-12 18:55:49 +0000
> Commit:     Mikle Kolyada <zlogene@gentoo.org>
> CommitDate: 2019-03-12 18:57:24 +0000
> 
>     app-emulation/docker-compose: ammend requests boundary in setup.py
>     
>     Closes: https://bugs.gentoo.org/679968
>     Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>
>     Package-Manager: Portage-2.3.62, Repoman-2.3.11
> 
>  app-emulation/docker-compose/docker-compose-1.23.2.ebuild | 3 +++
>  1 file changed, 3 insertions(+)

Mikle, thank you very much :-)
Comment 10 Larry the Git Cow gentoo-dev 2019-05-10 22:27:08 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=da5c9b70bf178b68f852270718ef67dcbbfcb0c7

commit da5c9b70bf178b68f852270718ef67dcbbfcb0c7
Author:     Sebastian Pipping <sping@gentoo.org>
AuthorDate: 2019-05-10 22:08:44 +0000
Commit:     Sebastian Pipping <sping@gentoo.org>
CommitDate: 2019-05-10 22:26:27 +0000

    app-emulation/docker-compose: Fix dependencies
    
    This unblocks system-wide updates of e.g.
    - dev-python/jsonschema-3.0.1
    - dev-python/pyyaml-5.1
    - dev-python/texttable-1.6.1
    Closes: https://bugs.gentoo.org/681002
    Bug: https://bugs.gentoo.org/679968
    
    Signed-off-by: Sebastian Pipping <sping@gentoo.org>
    Package-Manager: Portage-2.3.65, Repoman-2.3.12

 .../docker-compose/docker-compose-1.23.2-r1.ebuild | 66 ++++++++++++++++++++++
 .../files/docker-compose-1.23.2-setup-py.patch     | 58 +++++++++++++++++++
 2 files changed, 124 insertions(+)